<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class BackdoorTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('instructors')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'backdoor.instructor.view',
                'name'      => 'View Instructor',
            ],
            [
                'slug'      => 'backdoor.instructor.create',
                'name'      => 'Create Instructor',
            ],
            [
                'slug'      => 'backdoor.instructor.edit',
                'name'      => 'Update Instructor',
            ],
            [
                'slug'      => 'backdoor.instructor.delete',
                'name'      => 'Delete Instructor',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'backdoor.instructor.verify',
                'name'      => 'Verify Instructor',
            ],
            [
                'slug'      => 'backdoor.instructor.approve',
                'name'      => 'Approve Instructor',
            ],
            [
                'slug'      => 'backdoor.instructor.publish',
                'name'      => 'Publish Instructor',
            ],
            [
                'slug'      => 'backdoor.instructor.unpublish',
                'name'      => 'Unpublish Instructor',
            ],
            [
                'slug'      => 'backdoor.instructor.cancel',
                'name'      => 'Cancel Instructor',
            ],
            [
                'slug'      => 'backdoor.instructor.archive',
                'name'      => 'Archive Instructor',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/backdoor/instructor',
                'name'        => 'Instructor',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/backdoor/instructor',
                'name'        => 'Instructor',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'instructor',
                'name'        => 'Instructor',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Backdoor',
                'module'    => 'Instructor',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'backdoor.instructor.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
