<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class BackdoorTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('suppliers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'backdoor.supplier.view',
                'name'      => 'View Supplier',
            ],
            [
                'slug'      => 'backdoor.supplier.create',
                'name'      => 'Create Supplier',
            ],
            [
                'slug'      => 'backdoor.supplier.edit',
                'name'      => 'Update Supplier',
            ],
            [
                'slug'      => 'backdoor.supplier.delete',
                'name'      => 'Delete Supplier',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'backdoor.supplier.verify',
                'name'      => 'Verify Supplier',
            ],
            [
                'slug'      => 'backdoor.supplier.approve',
                'name'      => 'Approve Supplier',
            ],
            [
                'slug'      => 'backdoor.supplier.publish',
                'name'      => 'Publish Supplier',
            ],
            [
                'slug'      => 'backdoor.supplier.unpublish',
                'name'      => 'Unpublish Supplier',
            ],
            [
                'slug'      => 'backdoor.supplier.cancel',
                'name'      => 'Cancel Supplier',
            ],
            [
                'slug'      => 'backdoor.supplier.archive',
                'name'      => 'Archive Supplier',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/backdoor/supplier',
                'name'        => 'Supplier',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/backdoor/supplier',
                'name'        => 'Supplier',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'supplier',
                'name'        => 'Supplier',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Backdoor',
                'module'    => 'Supplier',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'backdoor.supplier.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
