<?php

namespace Litecms\Backdoor\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Supplier policy
        'Litecms\Backdoor\Models\Supplier' => \Litecms\Backdoor\Policies\SupplierPolicy::class,
// Bind Instructor policy
        'Litecms\Backdoor\Models\Instructor' => \Litecms\Backdoor\Policies\InstructorPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
