<?php

namespace Litecms\Backdoor\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Supplier workflow validator
        'Litecms\Backdoor\Models\Supplier' => \Litecms\Backdoor\Workflow\SupplierValidator::class,

        // Bind Instructor workflow validator
        'Litecms\Backdoor\Models\Instructor' => \Litecms\Backdoor\Workflow\InstructorValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Supplier workflow actions
        'Litecms\Backdoor\Models\Supplier' => \Litecms\Backdoor\Workflow\SupplierAction::class,

        // Bind Instructor workflow actions
        'Litecms\Backdoor\Models\Instructor' => \Litecms\Backdoor\Workflow\InstructorAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Supplier workflow notifiers
        'Litecms\Backdoor\Models\Supplier' => \Litecms\Backdoor\Workflow\SupplierNotifier::class,

        // Bind Instructor workflow notifiers
        'Litecms\Backdoor\Models\Instructor' => \Litecms\Backdoor\Workflow\InstructorNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
