<?php

namespace Litecms\Backdoor\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InstructorTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Backdoor\Models\Instructor $instructor)
    {
        return [
            'id'                => $instructor->getRouteKey(),
            'key'               => [
                'public'    => $instructor->getPublicKey(),
                'route'     => $instructor->getRouteKey(),
            ], 
            'id'                => $instructor->id,
            'name'              => $instructor->name,
            'url'               => [
                'public'    => trans_url('backdoor/'.$instructor->getPublicKey()),
                'user'      => guard_url('backdoor/instructor/'.$instructor->getRouteKey()),
            ], 
            'status'            => trans('app.'.$instructor->status),
            'created_at'        => format_date($instructor->created_at),
            'updated_at'        => format_date($instructor->updated_at),
        ];
    }
}