<?php

namespace Litecms\Backdoor\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SupplierTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Backdoor\Models\Supplier $supplier)
    {
        return [
            'id'                => $supplier->getRouteKey(),
            'key'               => [
                'public'    => $supplier->getPublicKey(),
                'route'     => $supplier->getRouteKey(),
            ], 
            'id'                => $supplier->id,
            'name'              => $supplier->name,
            'url'               => [
                'public'    => trans_url('backdoor/'.$supplier->getPublicKey()),
                'user'      => guard_url('backdoor/supplier/'.$supplier->getRouteKey()),
            ], 
            'status'            => trans('app.'.$supplier->status),
            'created_at'        => format_date($supplier->created_at),
            'updated_at'        => format_date($supplier->updated_at),
        ];
    }
}