<?php

namespace Litecms\Backdoor\Workflow;

use Litecms\Backdoor\Models\Instructor;
use Litecms\Backdoor\Notifications\InstructorWorkflow as InstructorNotifyer;
use Notification;

class InstructorNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Instructor $instructor
     *
     * @return void
     */
    public function complete(Instructor $instructor)
    {
        return Notification::send($instructor->user, new InstructorNotifyer($instructor, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Instructor $instructor
     *
     * @return void
     */
    public function verify(Instructor $instructor)
    {
        return Notification::send($instructor->user, new InstructorNotifyer($instructor, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Instructor $instructor
     *
     * @return void
     */
    public function approve(Instructor $instructor)
    {
        return Notification::send($instructor->user, new InstructorNotifyer($instructor, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Instructor $instructor
     *
     * @return void
     */
    public function publish(Instructor $instructor)
    {
        return Notification::send($instructor->user, new InstructorNotifyer($instructor, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Instructor $instructor
     *
     * @return void
     */
    public function archive(Instructor $instructor)
    {
        return Notification::send($instructor->user, new InstructorNotifyer($instructor, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Instructor $instructor
     *
     * @return void
     */
    public function unpublish(Instructor $instructor)
    {
        return Notification::send($instructor->user, new InstructorNotifyer($instructor, 'unpublish'));;

    }
}
