<?php

namespace Litecms\Backdoor\Workflow;

use Litecms\Backdoor\Models\Supplier;
use Litecms\Backdoor\Notifications\SupplierWorkflow as SupplierNotifyer;
use Notification;

class SupplierNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Supplier $supplier
     *
     * @return void
     */
    public function complete(Supplier $supplier)
    {
        return Notification::send($supplier->user, new SupplierNotifyer($supplier, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Supplier $supplier
     *
     * @return void
     */
    public function verify(Supplier $supplier)
    {
        return Notification::send($supplier->user, new SupplierNotifyer($supplier, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Supplier $supplier
     *
     * @return void
     */
    public function approve(Supplier $supplier)
    {
        return Notification::send($supplier->user, new SupplierNotifyer($supplier, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Supplier $supplier
     *
     * @return void
     */
    public function publish(Supplier $supplier)
    {
        return Notification::send($supplier->user, new SupplierNotifyer($supplier, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Supplier $supplier
     *
     * @return void
     */
    public function archive(Supplier $supplier)
    {
        return Notification::send($supplier->user, new SupplierNotifyer($supplier, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Supplier $supplier
     *
     * @return void
     */
    public function unpublish(Supplier $supplier)
    {
        return Notification::send($supplier->user, new SupplierNotifyer($supplier, 'unpublish'));;

    }
}
