<?php

namespace Litecms\Backdoor;

use User;

class Backdoor
{
    /**
     * $supplier object.
     */
    protected $supplier;
    /**
     * $instructor object.
     */
    protected $instructor;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Backdoor\Interfaces\SupplierRepositoryInterface $supplier,
        \Litecms\Backdoor\Interfaces\InstructorRepositoryInterface $instructor)
    {
        $this->supplier = $supplier;
        $this->instructor = $instructor;
    }

    /**
     * Returns count of backdoor.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.supplier.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->supplier->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\SupplierUserCriteria());
        }

        $supplier = $this->supplier->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('backdoor::' . $view, compact('supplier'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.instructor.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->instructor->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\InstructorUserCriteria());
        }

        $instructor = $this->instructor->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('backdoor::' . $view, compact('instructor'))->render();
    }
}
